Bug 1300366 - "any of" / "not any of" not appearing in BRE component picker
"any of" / "not any of" not appearing in BRE component picker
Product: Bugzilla
Classification: Community
Component: Internal Tools (Show other bugs)
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Matt Tyson
: Regression
Depends On:
  Show dependency treegraph
Reported: 2016-01-20 10:04 EST by Tom Lavigne
Modified: 2016-02-14 19:57 EST (History)
7 users (show)

See Also:
Fixed In Version: 4.4.11048.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-02-14 19:57:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Lavigne 2016-01-20 10:04:16 EST
Description of problem:

There appears to be a regression that is preventing us from updating some of our BRE rules.   Look at this rule:  'RHEL6 !Extras Keyword'

In the "Detail" view of the rule you can see

Component is not any of 'openvswitch', 'preupgrade-assistant',
'preupgrade-assistant-contents' or 'redhat-upgrade-tool'

However going to "Edit" mode, it is not possible to specify "is
any of" or "is not any of" condition.  I'm trying to add additional components to that list, and it is not possible.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Hui Wang 2016-01-25 01:12:07 EST
Verified this issue.
The result is PASS.
version 4.4.11048.1
1. Edit rule:  'RHEL6 !Extras Keyword'
2. Add additional components in step2
3. See the details of the rule:

Component is not any of '389-ds-base', 'openvswitch', 'preupgrade-assistant', 'preupgrade-assistant-contents' or 'redhat-upgrade-tool'

Adding the other component successfully.
Comment 2 Matt Tyson 2016-02-14 19:57:19 EST
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.